# Uses of Interface
org.opensaml.xmlsec.signature.PublicKey

Packages that use PublicKey
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of PublicKey in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return PublicKey
Modifier and Type
Method
Description
`PublicKey`
ECKeyValue.`getPublicKey()`
Get the PublicKey child element.
Methods in org.opensaml.xmlsec.signature with parameters of type PublicKey
Modifier and Type
Method
Description
`void`
ECKeyValue.`setPublicKey(PublicKey newKey)`
Set the PublicKey child element.

## Uses of PublicKey in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement PublicKey
Modifier and Type
Class
Description
`class`
`PublicKeyImpl`
Concrete implementation of `PublicKey`.
Fields in org.opensaml.xmlsec.signature.impl declared as PublicKey
Modifier and Type
Field
Description
`private PublicKey`
ECKeyValueImpl.`publicKey`
PublicKey child element value.
Methods in org.opensaml.xmlsec.signature.impl that return PublicKey
Modifier and Type
Method
Description
`PublicKey`
PublicKeyBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`PublicKey`
PublicKeyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`PublicKey`
ECKeyValueImpl.`getPublicKey()`
Get the PublicKey child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type PublicKey
Modifier and Type
Method
Description
`void`
ECKeyValueImpl.`setPublicKey(PublicKey newKey)`
Set the PublicKey child element.